%global srcname itsdangerous
%global __python3 /usr/bin/python3.8

Name:           python38-%{srcname}-epel
Version:        2.1.1
Release:        1%{?dist}
Summary:        Python library for passing trusted data to untrusted environments
License:        BSD
URL:            https://itsdangerous.palletsprojects.com
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
Itsdangerous is a Python library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the 
implementation on the Django signing module. It also however supports JSON Web
Signatures (JWS).}

%description %{_description}

%package -n python38-%{srcname}
Summary:        %{summary}
BuildRequires:  python38-devel
BuildRequires:  python38-rpm-macros
BuildRequires:  python3.8dist(setuptools)
BuildRequires:  python3.8dist(pytest)
BuildRequires:  python3.8dist(freezegun)

%description -n python38-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}
rm -vr src/*.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %python3 -m pytest -v

%files -n python38-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Sat Nov 05 2022 Orion Poplawski <orion@nwra.com> - 2.1.1-1
- Update to 2.1.1

* Thu Jul 21 2022 Maxwell G <gotmax@e.email> - 2.0.1-2
- Rebuild to fix bug in epel-rpm-macros' Python dependency generator

* Sun Jul 03 2022 Orion Poplawski <orion@nwra.com> - 2.0.1-1
- Build for EPEL8 Python 3.8
